## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without check
%bcond_without bundled
%if 0%{?rhel}
%bcond_without bundled
%endif

%if %{defined rhel} && 0%{?rhel} < 10
%define gobuild(o:) go build -buildmode pie -compiler gc -tags="rpm_crashtraceback ${BUILDTAGS:-}" -ldflags "-linkmode=external -compressdwarf=false ${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n') -extldflags '%__global_ldflags'" -a -v -x %{?**};
%endif

%if %{with bundled}
%global gomodulesmode   GO111MODULE=on
%endif

# https://github.com/containers/podman-tui
%global goipath github.com/containers/podman-tui
Version: 1.3.1
%gometa

%global goname podman-tui

%global common_description %{expand:
%{goname} is a terminal user interface for Podman v4 and v5.
%{goname} is using podman.socket service to communicate with podman environment
and SSH to connect to remote podman machines.
}

%global golicenses LICENSE
%global godocs CODE-OF-CONDUCT.md CONTRIBUTING.md README.md

%global godevelheader %{expand:
Requires:  %{name} = %{version}-%{release}
}

Name: %{goname}
Release: %autorelease
Summary: Podman Terminal User Interface

License: Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT AND MPL-2.0
URL: %{gourl}
Source:         %{gosource}
Source:         vendor-%{version}.tar.gz
Source:         bundle_go_deps_for_rpm.sh

BuildRequires: gcc
BuildRequires: golang
BuildRequires: glib2-devel
BuildRequires: glibc-devel
BuildRequires: glibc-static
BuildRequires: git-core
BuildRequires: go-rpm-macros
BuildRequires: make

%if 0%{?fedora} >= 35
BuildRequires: shadow-utils-subid-devel
%endif

%description
%{common_description}

%prep
%goprep %{?with_bundledc:-k}
%if %{with bundled}
%setup -q -T -D -a 1 -n %{name}-%{version}
%endif

%if %{without bundled}
%generate_buildrequires
%go_generate_buildrequires
%endif

%build
%if %{with bundled}
export GOFLAGS="-mod=vendor"
%endif

export BUILDTAGS="exclude_graphdriver_devicemapper exclude_graphdriver_btrfs btrfs_noversion containers_image_openpgp remote"
%if 0%{?rhel}
export BUILDTAGS="$BUILDTAGS libtrust_openssl"
%endif

%gobuild -o %{gobuilddir}/bin/%{goname} %{goipath}

%install
%{__install} -m 0755 -vd %{buildroot}%{_bindir}
%{__install} -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%endif

%files
%license %{golicenses}
%doc     
%{_bindir}/*

%changelog
## START: Generated by rpmautospec
* Sun Jan 26 2025 Navid Yaghoobi <navidys@fedoraproject.org> - 1.3.1-1
- release v1.3.1

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 02 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.3.0-3
- fix build isse

* Sun Dec 01 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.3.0-2
- update RPM spec file

* Sun Dec 01 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.3.0-1
- release v1.3.0

* Sat Oct 19 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.2.3-1
- release v1.2.3

* Fri Sep 27 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.2.2-1
- release v1.2.2

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 1.2.1-2
- convert license to SPDX

* Fri Aug 23 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.2.1-1
- release v1.2.1

* Sat Aug 03 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.2.0-1
- release v1.2.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 26 2024 Yaakov Selkowitz <yselkowi@redhat.com> - 1.1.0-2
- Use go-rpm-macros on RHEL 10+

* Sun Jun 02 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.1.0-1
- release v1.1.0

* Sat May 11 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.0.1-1
- release v1.0.1

* Thu Mar 21 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 1.0.0-1
- release v1.0.0

* Sat Mar 16 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 0.18.0-1
- release v0.18.0

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 0.17.0-2
- Rebuild for golang 1.22.0

* Sun Feb 04 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 0.17.0-1
- release v0.17.0

* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Navid Yaghoobi <navidys@fedoraproject.org> - 0.16.0-1
- release v0.16.0

* Wed Dec 20 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.15.0-1
- release v0.15.0

* Sun Dec 10 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.14.0-1
- release v0.14.0

* Fri Dec 01 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.13.0-1
- release v0.13.0

* Sat Nov 11 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.12.0-1
- release v0.12.0

* Sun Aug 20 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.11.0-1
- release v0.11.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Mar 10 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.9.1-1
- release v0.9.1

* Sun Mar 05 2023 Navid Yaghoobi <navidys@fedoraproject.org> - 0.9.0-1
- release v0.9.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 19 2022 Navid Yaghoobi <navidys@fedoraproject.org> - 0.7.0-1
- release v0.7.0

* Sat Oct 15 2022 Navid Yaghoobi <navidys@fedoraproject.org> - 0.6.0-1
- release v0.6.0

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.5.0-2
- Rebuild for
  CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in golang

* Sat Jul 02 2022 Navid Yaghoobi <navidys@fedoraproject.org> - 0.5.0-1
- release v0.5.0

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327,
  CVE-2022-27191, CVE-2022-29526, CVE-2022-30629

* Thu Jun 02 2022 Navid Yaghoobi <n.yaghoobi.s@gmail.com> - 0.4.0-1
- release v0.4.0

* Sat Apr 16 2022 Navid Yaghoobi <n.yaghoobi.s@gmail.com> - 0.3.1-1
- Update to v0.3.1

* Sun Mar 27 2022 Navid Yaghoobi <n.yaghoobi.s@gmail.com> - 0.3.0-1
- upgrade to podman v4 API

* Sat Mar 26 2022 Navid Yaghoobi <n.yaghoobi.s@gmail.com> - 0.2.0-1
- Initial import (fedora#2064163).
## END: Generated by rpmautospec
